Summary:       SSH2 protocol library for python
Name:          python-paramiko
Version:       3.1.0
Release:       6%{?dist}
License:       LGPL-2.1-or-later
URL:           https://github.com/paramiko/paramiko
Source0:       %{url}/archive/%{version}/paramiko-%{version}.tar.gz
Patch3000:     0003-remove-pytest-relaxed-dep.patch
Patch3001:     0004-remove-icecream-dep.patch

BuildArch:     noarch

%description
Paramiko is a pure-Python implementation of the SSHv2 protocol, providing both client and 
server functionality. It provides the foundation for the high-level SSH library Fabric, 
which is what we recommend you use for common client use-cases such as running remote shell 
commands or transferring files.

%package -n python3-paramiko
Summary:       SSH2 protocol library for python
BuildRequires: python3-devel >= 3.6
BuildRequires: %{py3_dist bcrypt} >= 3.2 %{py3_dist cryptography} >= 3.3
BuildRequires: %{py3_dist pyasn1} >= 0.1.7 %{py3_dist pynacl} >= 1.5
BuildRequires: %{py3_dist pytest} %{py3_dist setuptools}
Recommends:    %{py3_dist pyasn1} >= 0.1.7

%description -n python3-paramiko
Paramiko is a pure-Python implementation of the SSHv2 protocol, providing both client and 
server functionality. It provides the foundation for the high-level SSH library Fabric, 
which is what we recommend you use for common client use-cases such as running remote shell 
commands or transferring files.

%package doc
Summary:       Docs and demo for SSH2 protocol library for python
BuildRequires: /usr/bin/sphinx-build
Requires:      %{name} = %{version}-%{release}

%description doc
This package provides the documentation and demos.

%prep
%autosetup -p1 -n paramiko-%{version}

chmod -c a-x demos/*
sed -i -e '/^#!/,1d' demos/*

%build
%py3_build

%install
%py3_install

sphinx-build -b html sites/docs/ html/
rm html/.buildinfo

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} pytest-%{python3_version}

%files -n python3-paramiko
%license LICENSE
%doc NEWS README.rst
%{python3_sitelib}/paramiko-*.egg-info/
%{python3_sitelib}/paramiko/

%files doc
%doc html/ demos/

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 3.1.0-6
- Rebuilt for loongarch64

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-5
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 Wang Guodong <gordonwwang@tencent.com> - 3.1.0-1
- initial build
